> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get status and result of a particular task > Get status of a task. If the task is completed, it also returns the result values, if any. ## OpenAPI ````json GET /v1/tasks/status/{task-id} { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/tasks/status/{task-id}": { "get": { "tags": [ "Task" ], "summary": "Get status and result of a particular task.", "description": "Get status of a task. If the task is completed, it also returns the result values, if any.", "operationId": "getTaskStatus", "parameters": [ { "$ref": "#/components/parameters/TaskId" } ], "responses": { "200": { "description": "Task Details.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/TaskResult" } } } } }, "x-auth-resource": "Reader,Writer,Manager,AgentAuth,JoinTokenAuth" } } }, "components": { "parameters": { "TaskId": { "name": "task-id", "in": "path", "description": "UUID of a task.", "required": true, "schema": { "type": "string", "format": "uuid" } } }, "schemas": { "TaskResult": { "type": "object", "properties": { "task_id": { "type": "string", "description": "Task Id", "format": "uuid" }, "certificate_id": { "type": "string", "description": "Certificate Id in case of certificate issuance task.", "format": "uuid" }, "node_id": { "type": "string", "description": "Compute Node Id.", "format": "uuid" }, "task_type": { "$ref": "#/components/schemas/TaskType" }, "task_status": { "$ref": "#/components/schemas/TaskStatus" }, "build_id": { "type": "string", "description": "Build Id.", "format": "uuid" } } }, "TaskType": { "enum": [ "NODE_ATTESTATION", "CERTIFICATE_ISSUANCE", "BUILD_WHITELIST", "DOMAIN_WHITELIST" ], "type": "string", "description": "The types of tasks supported." }, "TaskStatus": { "required": [ "created_at", "status_updated_at", "status" ], "type": "object", "properties": { "created_at": { "type": "integer", "description": "Task creation time", "format": "int64" }, "status_updated_at": { "type": "integer", "description": "Time since the status change.", "format": "int64" }, "status": { "$ref": "#/components/schemas/TaskStatusType" }, "error": { "$ref": "#/components/schemas/TaskError" } }, "description": "Status info for a task." }, "TaskStatusType": { "enum": [ "INPROGRESS", "FAILED", "SUCCESS", "DENIED" ], "type": "string", "description": "Status string for a task." }, "TaskError": { "required": [ "message" ], "type": "object", "properties": { "message": { "type": "string", "description": "Error message in case of task failures" } } } } } } ````